SCROBBLER(1)

NAME
scrobbler - a last.fm and libre.fm submitter for portable devices

SYNOPSIS
scrobbler [options]

DESCRIPTION
scrobbler is a program to submit information about tracks which have been listened to from a portable music player to last.fm (previously known as Audioscrobbler), libre.fm and/or a custom site of your choice. scrobbler can read this information from .scrobbler.log files (i.e. produced by the open Rockbox firmware), from iPod databases, or from devices that use MTP (aka Plays for Sure). In addition to this, scrobbler can adjust the date/time information relating to when the track was listened to before uploading. This can be useful if your device is set to a different timezone to the machine you upload from.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes ('-'). A summary of options is included below.

-c, --config
    Location of the config file, required for operation.

-d, --database
    Submit information from an iPod database (requires -l)

-f, --file
    Submit information from an .scrobbler.log file (requires -l)

-h, --help
    Show summary of options.

-l, --location <path>
    Filesystem location of the mount point of your portable device.

-m, --mtp
    Submit from a MTP (aka Plays for Sure) device

-n, --now
    Recalculates the times each track was played before submission. Automatically enabled if using a .scrobbler-timeless.log or MTP device.

-r, --recalc <datetime>
    Recalculates the play time for each track. <datetime> should be a UNIX timestamp.

-t, --timestamp <when>
    Override the detected system timezone offset from UTC <when> is the UNIX timestamp, e.g. -t `date --date "-5 hours" +%s`

-v, --verbose <level>
    Output verbosity level

WWW
http://qtscrob.sourceforge.net

This manual page was written by Robert Keevil <rkeevil@gmail.com>, and is licensed under version 2 of the GPL.